Storage Management/Data Storage APIs
PUTData Storage APIsSince 5.0.0SynchronousAuth Required
Update External Primary Storage
Update External Primary Storage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredResource UUID, uniquely identifies the resource
Body Fields
updateexternalprimarystorageObjectRequiredupdateexternalprimarystorage request body object.
configStringConfiguration
defaultProtocolStringDefault Protocol
nameStringResource Name
descriptionStringResource Description
urlString地址。
systemTagsListSystem Tags
userTagsListUser Tags
Responses
Endpoint
PUT/zstack/v1/primary-storage/addon/{uuid}/actions
/zstack/v1/primary-storage/addon/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/primary-storage/addon/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateexternalprimarystorage":{"config":"<config>","defaultProtocol":"<defaultProtocol>","name":"<name>","description":"<description>","url":"<url>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "identity": "expon", "config": { "pools": [ { "name": "pool1", "aliasName": "pool-high" }, { "name": "pool2" } ] }, "addonInfo": { "pools": [ { "name": "pool1", "availableCapacity": 100, "totalCapacity": 200 }, { "name": "pool2", "availableCapacity": 100, "totalCapacity": 200 } ] }, "uuid": "f40dbde502013ea98a7fe9a30bac95a3", "url": "http://operator:*****@172.25.1.5:80", "totalCapacity": 107374182400, "availableCapacity": 53687091200, "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } }Change History
This API has no change history records yet.
